// *******************************************************
// One Boot Flash Update Package for SE7520AF2
// Contents: 
//	BIOS = 8.0
//	BMC  = 0.48
//	FRUSDR = 6.6.2
// 	
//
// *******************************************************
// Check Platform ID
PROBE           "SYSTEM" "SE7520AF20"
FOUND           "SAF2"  ""


IFSET "SAF2"
// Check for BMC & BIOS dependencies
	PROBE BMCVER "2.40" 
	FOUND "mBMCOK" ""
		
	PROBE BIOSVER "63+"
	FOUND "BIOSOK" ""
		
      IFSET "mBMCOK" "BIOSOK"
	BIOSNAME "ALIEF101.ROM"

	ELSE
	PROBE BMCVER "0.29+" 
	FOUND "BMCOK" ""


	IFSET "BMCOK" "BIOSOK" 
	FWNAME "7520AF48.hex"   
	CFGNAME "MASTER.CFG"
	BIOSNAME "ALIEF101.ROM"
	ELSE
	DISPLAY "ERROR: Current BIOS or BMC Firmware are not compatible to be updated to this package!"
	ENDIF //BMC & BIOS CHECK

	ENDIF //mBMC & BIOS CHECK

	ELSE
	DISPLAY "ERROR: Update package is not intended for this platform!"
	ERRORLEVEL 09
  ENDIF //platform ID check

// End of configuration file
 		


